Bug 1827200 (CVE-2020-10727)

Summary: CVE-2020-10727 broker: resetUsers operation stores password in plain text
Product: [Other] Security Response Reporter: Michael Kaplan <mkaplan>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: ataylor, chazlett, ganandan, jochrist, jwon, pjindal, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: ActiveMQ Artemis 2.12.0 Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in ActiveMQ Artemis management API from version 2.7.0 up until 2.12.0, where a user inadvertently stores passwords in plaintext in the Artemis shadow file (etc/artemis-users.properties file) when executing the `resetUsers` operation. A local attacker can use this flaw to read the contents of the Artemis shadow file.
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-06-25 17:20:33 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1827209, 1827776    

Description Michael Kaplan 2020-04-23 12:22:53 UTC
If you execute the resetUsers operation, the new password is stored in plain text in the etc/artemis-users.properties file.

Comment 1 Michael Kaplan 2020-04-23 12:22:57 UTC
External References:

https://issues.redhat.com/browse/ENTMQBR-3435

Comment 2 Michael Kaplan 2020-04-23 12:24:51 UTC
Acknowledgments:

Name: Justin Bertram (Reporter)

Comment 6 Jonathan Christison 2020-04-29 10:48:11 UTC
Mitigation:

When resetting a user an alternative is to use the broker instance CLI `/bin/artemis user reset` which is not affected by the flaw

Comment 10 errata-xmlrpc 2020-06-25 14:14:56 UTC
This issue has been addressed in the following products:

  Red Hat AMQ

Via RHSA-2020:2751 https://access.redhat.com/errata/RHSA-2020:2751

Comment 11 Product Security DevOps Team 2020-06-25 17:20:33 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-10727

Comment 12 errata-xmlrpc 2020-07-23 15:10:30 UTC
This issue has been addressed in the following products:

  Red Hat AMQ

Via RHSA-2020:3133 https://access.redhat.com/errata/RHSA-2020:3133